Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/08/2023 in all areas

  1. Thanks, Emmanuel Delay works perfect now
    1 point
  2. when you use scale, going through the options it will ask for a scale - where you'd normally type '80000000/1234567' You can use this instead ( / 8 0.123456789) which is the LISP code for 8 / 0123456789 - as above scale -Select Object -Select Base Point ( / 8 0.123456789)
    1 point
  3. Similar to using 'CAL just enter what ketxu posted for the scale at the command line. I doubt either would work in a dialog box. That's a very odd scale though.
    1 point
  4. Or you could use lisp function at commandline when input scale ratio : (/ 8 0.1234567)
    1 point
  5. Thank you; I included some jpgs of my current "hobby" ...In middle is picture of the Globe representing Australia - we are not down under. we are the Blue Planet. I currently use 5 different packages - 3 main Rhino/Grasshopper, AutoCad2018 , Inventor 2018 There is also a variety of CNC programing such as MasterCam X5 , Laser cutting software and 3DP software. I started using AutoCad in 1988 as part of my R&D projects with CSIRO, requiring complex digitizing and reverse engineering. In that effort I built a digitizer with a fourier filter to remove random noise. My work suffered from the transition from DOS to early windows. Back then I built and program most of my own hardware down to assembly level. The AutoCAD14 + Lisp + Diesel was my last Government purchased CAD package. I have all of this running on a PC like running DOS6, this is also running on an Oracle VM in both Linux and Win10Pro. However this exercise is to have the same software running on a SAMSUNG 21" tablet in DOS6 configuration with all of my old CSIRO software. It is an exercise in revisiting my heyday by running DOS6 software including AutoCAD13 or 14 on my large Tablet without stretching 768 to 1080 and making it "block- pixel stretch". such screen stretching does not do my CAD work any favoures. I know there is many many software CAD packages, but the aim is to stick to the original packages and software I designed. I run a ground on my quest in only one package - AutoCad13 and 14 they do not have drv files for 1080 or 1050 or 1024 screen. ( note I have 768 DRV files ) Thank you for adding your suggestion. Regards Nick
    1 point
  6. Something i extract from one code. command is 3dpto2d Work only for Plines without ARCs (defun LM:group-n ( l n / r ) (if l (cons (reverse (repeat n (setq r (cons (car l) r) l (cdr l)) r)) (LM:group-n l n) ) ) ) (defun c:3dpto2d (/ listt XY) (setq sel (ssget '((0 . "POLYLINE")))) (repeat (setq i (sslength sel)) (setq Vname (vlax-ename->vla-object (ssname sel (setq i (1- i))))) (if (equal (vlax-get Vname 'ObjectName) "AcDb3dPolyline") (progn (setq coord (vlax-get Vname 'coordinates)) (setq listt (LM:group-n coord 3)) (foreach x listt (setq XY (cons (list (car x) (cadr x)) XY))) (ENTMAKE (APPLY (FUNCTION APPEND) (CONS (LIST '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(67 . 0) '(410 . "Model") (cons 8 (getvar 'clayer)) '(100 . "AcDbPolyline") (CONS 90 (LENGTH XY)) (if (= (vlax-get Vname 'Closed) 0) (cons 70 0) (cons 70 1)) ) (MAPCAR (FUNCTION LIST) (MAPCAR (FUNCTION (LAMBDA (XY) (CONS 10 XY))) XY) ) ) ) ) (setq XY nil) ) ) ) (princ) )
    1 point
×
×
  • Create New...